### Hierarchy

- LocalStorage

### Implements

- IStorageProvider

## Index

### Constructors

- constructor

### Properties

- config
- prefix
- suffix

### Methods

- create
- get
- isValidJSON
- makeKey
- remove
- save

## Constructors

### constructor

- new LocalStorage(config: IConfig): LocalStorage

- - Defined in Storage.ts:15

  #### Parameters

  - ##### config: IConfig

  #### Returns LocalStorage

## Properties

### config

config: IConfig

- Defined in Storage.ts:17

### prefix

prefix: string = "ipp"

Implementation of IStorageProvider.prefix

- Defined in Storage.ts:14

### suffix

suffix: string = ""

Implementation of IStorageProvider.suffix

- Defined in Storage.ts:15

## Methods

### create

- create(key: string, value: string): void

- - Defined in Storage.ts:19

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns void

### get

- get(key: string, defaultValue?: any): string

- - Defined in Storage.ts:28

  #### Parameters

  - ##### key: string

  - ##### Default value defaultValue: any = null

  #### Returns string

### Private isValidJSON

- isValidJSON(val: any): boolean

- - Defined in Storage.ts:61

  #### Parameters

  - ##### val: any

  #### Returns boolean

### Private makeKey

- makeKey(key: string): string

- - Defined in Storage.ts:46

  #### Parameters

  - ##### key: string

  #### Returns string

### remove

- remove(key: string): void

- - Defined in Storage.ts:42

  #### Parameters

  - ##### key: string

  #### Returns void

### save

- save(key: string, value: string): void

- - Defined in Storage.ts:24

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns void

Generated using TypeDoc